Newer
Older
dub_jkp / test / issue97-targettype-none.sh
  1. #!/usr/bin/env bash
  2. set -e
  3.  
  4. ${DUB} build --root ${CURR_DIR}/issue97-targettype-none 2>&1 || true
  5.  
  6. BUILD_CACHE_A="$HOME/.dub/cache/issue97-targettype-none/~master/+a/build/"
  7. BUILD_CACHE_B="$HOME/.dub/cache/issue97-targettype-none/~master/+b/build/"
  8.  
  9. if [ ! -d $BUILD_CACHE_A ]; then
  10. echo "Generated 'a' subpackage build artifact not found!" 1>&2
  11. exit 1
  12. fi
  13. if [ ! -d $BUILD_CACHE_B ]; then
  14. echo "Generated 'b' subpackage build artifact not found!" 1>&2
  15. exit 1
  16. fi
  17.  
  18. ${DUB} clean --root ${CURR_DIR}/issue97-targettype-none 2>&1
  19.  
  20. # make sure both sub-packages are cleaned
  21. if [ -d $BUILD_CACHE_A ]; then
  22. echo "Generated 'a' subpackage build artifact were not cleaned!" 1>&2
  23. exit 1
  24. fi
  25. if [ -d $BUILD_CACHE_B ]; then
  26. echo "Generated 'b' subpackage build artifact were not cleaned!" 1>&2
  27. exit 1
  28. fi